﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="TreeView_Temp_Default" %>

<%@ Register Src="SchedulerControl.ascx" TagName="SchedulerControl" TagPrefix="uc1" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
</head>
<body>
    <form id="form1" runat="server">
        <div>
            <asp:ScriptManager ID="Manager1" runat="server"></asp:ScriptManager>
        </div>
        <script type="text/javascript">
            function OnClientAppointmentDataBound(sender, args) {
                var appointment = args.get_appointment();
                if (true) {

                }
                appointment.set_borderColor("solid #B3B3B3");
                appointment.set_borderWidth(1);
            }


            var teacherID = "all";

            function OnClientSelectedIndexChanged(sender, args) {
                teacherID = args.get_item().get_value();
                var scheduler = $find('<%=RadScheduler1.ClientID %>');
        scheduler.rebind();
    }

    function OnClientAppointmentsPopulating(sender, eventArgs) {
        eventArgs.get_schedulerInfo().TeacherID = teacherID;
    }

    function OnClientAppointmentClick(sender, args) {
        var apt = args.get_appointment();
        apt.set_allowEdit(true);

    }

    function rebindScheduler() {
        var $ = $telerik.$;
        var scheduelrJqueryObject = $("[id$='RadScheduler1']");
        var scheduler = $find(scheduelrJqueryObject.attr("id"));
        alert(scheduler);
        scheduler.rebind();
    }
        </script>
        <p>
            Filter appointments by teacher (resource):+
        </p>
        <p>
            &nbsp;<telerik:RadComboBox ID="RadComboBox1" runat="server" OnClientSelectedIndexChanged="OnClientSelectedIndexChanged">
                <Items>
                    <telerik:RadComboBoxItem Text="All" Value="all" />
                    <telerik:RadComboBoxItem Text="Teacher 1" Value="1" />
                    <telerik:RadComboBoxItem Text="Teacher 2" Value="2" />
                </Items>
            </telerik:RadComboBox>
        </p>
        <%--    <telerik:RadAjaxManager runat=server ID=RadAjaxManager1 
        onajaxrequest="RadAjaxManager1_AjaxRequest"></telerik:RadAjaxManager>--%>
        <telerik:RadScheduler ID="RadScheduler1" runat="server" OnClientAppointmentsPopulating="OnClientAppointmentsPopulating"
            OnClientAppointmentDataBound="OnClientAppointmentDataBound" AppointmentStyleMode="Simple"
            _GroupBy="Teacher" SelectedView="WeekView" TimeZoneOffset="10:00:00" OnClientAppointmentClick="OnClientAppointmentClick"
            Width="600px">
            <WebServiceSettings Path="SchedulerWebService.asmx" ResourcePopulationMode="ServerSide">
            </WebServiceSettings>
            <ResourceStyles>
                <telerik:ResourceStyleMapping Type="Teacher" Key="1" BackColor="Orange" />
                <telerik:ResourceStyleMapping Type="Teacher" Key="2" BackColor="Aqua" />
            </ResourceStyles>
        </telerik:RadScheduler>
        <uc1:SchedulerControl ID="SchedulerControl1" runat="server" />
    </form>
</body>
</html>
